"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Heading = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_d3_utils_1 = require("react-d3-utils");
const plotContext_1 = require("../contexts/plotContext");
function Heading({ title, titleStyle, titleClass, subtitle, subtitleStyle, subtitleClass, position, }) {
    const { width, height } = (0, plotContext_1.usePlotContext)();
    const defaultTitleStyle = {
        dominantBaseline: 'hanging',
        textAnchor: 'middle',
        fontSize: '16px',
        fontWeight: 'bold',
    };
    const defaultSubtitleStyle = {
        dominantBaseline: 'hanging',
        textAnchor: 'middle',
        fontSize: '14px',
        color: 'gray',
    };
    const headingBbox = (0, react_d3_utils_1.useBBoxObserver)();
    return ((0, jsx_runtime_1.jsxs)(react_d3_utils_1.AlignGroup, { x: width / 2, y: position === 'top' ? 0 : height, horizontalAlign: "middle", verticalAlign: position === 'top' ? 'start' : 'end', children: [(0, jsx_runtime_1.jsx)("text", { ref: headingBbox.ref, style: { ...defaultTitleStyle, ...titleStyle }, className: titleClass, children: title }, void 0), subtitle && ((0, jsx_runtime_1.jsx)("text", { transform: `translate(0, ${headingBbox.height})`, style: {
                    ...defaultSubtitleStyle,
                    ...subtitleStyle,
                }, className: subtitleClass, children: subtitle }, void 0))] }, void 0));
}
exports.Heading = Heading;
Heading.defaultProps = {
    position: 'top',
};
